Bug 2212 - Karma system should allow more e-mail addresses
: Karma system should allow more e-mail addresses
Status: RESOLVED FIXED
Product: maemo.org Website
Profile
: unspecified
: All Windows
: High major with 2 votes (vote)
: ---
Assigned To: Henri Bergius
: profile-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-05 18:21 UTC by Frantisek Dufka
Modified: 2008-12-06 18:45 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Frantisek Dufka (reporter) maemo.org 2007-11-05 18:21:17 UTC
- people use different things (garage, bugzilla, maemo profile, mailing list)
with different e-mail addresses for various reasons and want to keep it that
way and still have karma reflecting all their activity
- people change e-mail addresses (leaving school, changing job, changing mail
provider, ...) and want to keep already earned karma even when starting to use
new address
- people even post to mailing list using more e-mail addresses (work, home,
mobile one)

Solution seem to be to allow list of email addresses for same karma profile.
Comment 1 Ryan Pavlik 2007-11-05 23:32:14 UTC
I would also like to see this, since I produce multiple email addresses for
different sites, based on their likelyhood of getting spammed.  I have changed
my Maemo Bugzilla email to match my maemo.org one, but would prefer just being
able to list my aliases :)
Comment 2 Quim Gil nokia 2007-11-06 08:10:57 UTC
Agreed. I was about to suggest this myself when reviewing the karma in action
but I decided to wait and see whether someone else found this needed.

This requirement was not agreed with Henri & co initially, so it won't make it
for now. However, let's talk about implementing this later on.

I guess we need to put in place some way to claim other email addresses to make
sure they belong to the user. Otherwise it would be too easy to add others
addresses and get in trouble.
Comment 3 Quim Gil nokia 2008-06-13 13:55:26 UTC
Please move this forward or dump it if it's not possible. User karma is planned
to be used as one of the factors for sponsoring participants to the maemo
summit. We all better know whether we can count on this or not.
Comment 4 Henri Bergius 2008-06-13 14:04:21 UTC
Multiple email addresses is possible, and actually quite easy via editing the
account datamanager schema. There are just some concerns here:

* We have to decide standard Midgard parameter domain and name to be used for
the other email addresses
* As Garage manages the "primary address" we trust it for validating that, but
ATM we have no way of validating the additional address
* Similarly, there are no uniqueness checks ATM for the additional addresses
* Karma plugins must be adapted so that they are run for each email address of
a person and then summed up

So, adding the new fields can be done very quickly, but these other issues can
be a bit more work.
Comment 5 Quim Gil nokia 2008-06-13 14:32:54 UTC
Mmm perhaps we can just implement the additional fields and be prepared to
react if there is abuse.

This is one of those things where abuse is only relevant if there is a real
impact i.e. someone getting 3000 karma brokering email addresses and obtaining
sponsorship, discounts and interviews in Wired... 

If someone gets 55 instead of the legitimate 12... well, congratulations, now
you can even vote the Maemo community council!  :)
Comment 6 Henri Bergius 2008-06-13 14:56:39 UTC
In any case, work is now started:
http://trac.midgard-project.org/changeset/16599
Comment 7 Henri Bergius 2008-06-13 16:53:04 UTC
Support for a second email address (will more be needed?) is now in
maemo2midgard SVN, including:

* Patch to Midgard for seeking the new "additional emails" parameters of users
* "Second email" field in account schema
* Multiple email support in karma bugzilla calculation plugin (all others use
Midgard internal data and therefore don't need email data for anything)
Comment 8 Frantisek Dufka (reporter) maemo.org 2008-06-13 23:24:46 UTC
(In reply to comment #7)
> second email address (will more be needed?)

Yes please. Two is not significantly more than one and does not help much. If
any limit is needed, 5-10 looks like reasonable minimum to be worth the
complexity of adding more than one at all.
Comment 9 Henri Bergius 2008-06-16 14:13:26 UTC
We can of course add more email fields than just two, but I somehow fail to see
the reason for it since these are the only situations where the email fields
are used:

* Primary email (the field you had there already) is the one that can be shown
in the profile, and what Nokia can contact you by for things like developer
device codes

* Secondary email can be used in case where your Bugzilla account is different
than your primary contact email, so karma gets calculated correctly
Comment 10 Frantisek Dufka (reporter) maemo.org 2008-06-16 16:00:22 UTC
(In reply to comment #9)
> * Secondary email can be used in case where your Bugzilla account is different
> than your primary contact email, so karma gets calculated correctly
> 

Third (and 4th ...) email can be used in case where you post to maemo-*ers from
such account, so karma gets calculated correctly
Comment 11 Quim Gil nokia 2008-06-19 10:44:22 UTC
With 3 years of history, there might be cases like:

- One email for garage.
- Another for bugzilla.
- Another for mailing lists (old one)
- Another for the same mailing lists (updated in Mailman after changing jobs  /
getting Gmail / something)

etc

I think there is no problem offering 5 fields and just reacting if we see there
is abuse.
Comment 12 Ryan Pavlik 2008-06-22 03:40:14 UTC
When you're looking at multiple fields (common example is phone numbers), what
you'd ideally do is add another table for the phone numbers or in this case
email addresses, with one row per address and the username/account ID used as a
foreign key, so you can retrieve a theoretically unlimited # of email
addresses/phone numbers per user without changing your database again.
Comment 13 Henri Bergius 2008-07-07 16:09:52 UTC
New profile page allows as many email addresses as user wants to input. See
http://screencast.com/t/vIPdz7fM2lx

Should go live later today.
Comment 14 Dave Neary maemo.org 2008-08-14 13:18:21 UTC
Hi,

Is karma updated based on these extra email addresses now? There is some
suggestion in bug #2481 that it isn't.

Dave.
Comment 15 Frantisek Dufka (reporter) maemo.org 2008-08-14 13:56:20 UTC
(In reply to comment #14)
> There is some
> suggestion in bug #2481 that it isn't.

That was me. It is either that or the profile was simply not updated for long
time. When looking on it http://maemo.org/profile/view/fanoush/ it looks a bit
outdated. Groups is missing 'community kernels' project (generalantilles has it
listed, lardman not) and I also don't see my first and last name in profile
list (page 2) http://maemo.org/profile/list/ even if I have it filled (not sure
since when, one month for sure).

Maybe this comment should go to bug #2481 and the one from there should go here
:-)
Comment 16 Frantisek Dufka (reporter) maemo.org 2008-08-15 10:17:02 UTC
Ok, since bug #2481 was closed/fixed I am reopening this one. My Discussion
karma is still stuck at 6.

Groups is missing 'community kernels' project, should I reopen #2481 for this?
First/last name was my fault, one actually needs to publish those fields in
Midgard menu (Page->Publish account details).
Comment 17 Henri Bergius 2008-08-26 13:34:43 UTC
(In reply to comment #16)
> Ok, since bug #2481 was closed/fixed I am reopening this one. My Discussion
> karma is still stuck at 6.

The original update did not touch discussion karma.

I've now fixed the discussion importer so that it will support multiple
addresses when matching emails to users:
http://trac.midgard-project.org/changeset/17248

But this will not affect karma immediately. We will be re-importing all emails
from the lists over this week (depending on server power availability), and
then karma should finally change.

Marking as fixed.
Comment 18 Frantisek Dufka (reporter) maemo.org 2008-09-08 12:19:43 UTC
(In reply to comment #17)
> We will be re-importing all emails
> from the lists over this week (depending on server power availability), and
> then karma should finally change.
> 
> Marking as fixed.
> 

Was this already done? My karma did not change yet, still stuck with 6 points
for discussion.
Comment 19 Frantisek Dufka (reporter) maemo.org 2008-09-10 18:31:05 UTC
It moved. I am now at 1406.